#ifndef __DICTIONARY_H__
#define __DICTIONARY_H__

int 
readFile(const char* filename);

const char*
dictGetString(const char* defaultValue, const char* fmt, ...);

unsigned int
dictGetInteger(unsigned int defaultValue, const char* fmt, ...);

unsigned int
dictGetBoolean(unsigned int defaultValue, const char* fmt, ...);

int
dictSetString(const char* newValue, const char* fmt, ...);

int
dictSetInteger(unsigned int newValue, const char* fmt, ...);

int
dictSetBoolean(int newValue, const char* fmt, ...);

#endif	/* __DICTIONARY_H__ */
