#include <dlfcn.h>
#include <stdio.h>

static const char* arr[] = { "read", "__read", "__libc_read", 
			     "write", "__write", "__libc_write",
			     "ioctl", "__ioctl", "__libc_ioctl",
			     "open", "__open", "__libc_open",
			     "open64", "__open64", "__libc_open64",
			     "close", "__close", "__libc_close",
			     "lseek", "__lseek", "__libc_lseek",
			     "lseek64", "__lseek64", "__libc_lseek64",
			     "fopen", "__fopen", "__libc_fopen",
			     "fopen64", "__fopen64", "__libc_fopen64",
			     NULL };
void main(void) {
	const char** p;
	
	for (p = arr; *p; p++) {
		printf("%s => %p\n", *p, dlsym(NULL, *p));
	}
}
